<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__cy__tls__typedefs" kind="group">
    <compoundname>group_cy_tls_typedefs</compoundname>
    <title>Typedefs</title>
      <sectiondef kind="typedef">
      <memberdef id="group__group__cy__tls__typedefs_1ga0d99157c08499d8a8162a01bc60120fa" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_tls_context_t</definition>
        <argsstring />
        <name>cy_tls_context_t</name>
        <briefdescription>
<para>TLS context type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="83" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="83" />
      </memberdef>
      <memberdef id="group__group__cy__tls__typedefs_1ga03ce59df2cb0bbf2a08e687e551c852e" kind="typedef" prot="public" static="no">
        <type>cy_rslt_t(*</type>
        <definition>typedef cy_rslt_t( *  cy_network_send_t) (void *context, const unsigned char *buffer, uint32_t length, uint32_t *bytes_sent)</definition>
        <argsstring>)(void *context, const unsigned char *buffer, uint32_t length, uint32_t *bytes_sent)</argsstring>
        <name>cy_network_send_t</name>
        <briefdescription>
<para>Callback function used by the underlying TLS stack for sending the TLS handshake messages and encrypted data over the network. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">context</parametername>
</parameternamelist>
<parameterdescription>
<para>User context provided at the time of callback registration. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>Buffer of the data to send. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>Length of the buffer. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">bytes_sent</parametername>
</parameternamelist>
<parameterdescription>
<para>Number of bytes successfully sent over the network.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS on success; an error code on failure. On success, it also returns the number of bytes sent. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="95" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="95" />
      </memberdef>
      <memberdef id="group__group__cy__tls__typedefs_1ga58d8b1a23cfac4a8e7ad631cdb1b66a0" kind="typedef" prot="public" static="no">
        <type>cy_rslt_t(*</type>
        <definition>typedef cy_rslt_t( *  cy_network_recv_t) (void *context, unsigned char *buffer, uint32_t length, uint32_t *bytes_received)</definition>
        <argsstring>)(void *context, unsigned char *buffer, uint32_t length, uint32_t *bytes_received)</argsstring>
        <name>cy_network_recv_t</name>
        <briefdescription>
<para>Callback function used by the underlying TLS stack for reading TLS handshake messages or the encrypted data from the network. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">context</parametername>
</parameternamelist>
<parameterdescription>
<para>User context provided at the time of callback registration. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>Buffer into which the received data will be placed. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>Size of the buffer. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">bytes_received</parametername>
</parameternamelist>
<parameterdescription>
<para>Number of bytes received.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS on success; an error code on failure. On success, it also returns the number of bytes received. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="107" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>